Package org.apache.sling.distribution.journal.shared

## Class JMXRegistration

- java.lang.Object
- - org.apache.sling.distribution.journal.shared.JMXRegistration

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

    public class JMXRegistration
    extends Object
    implements Closeable

### Field Summary

Fields
`static String` `DOMAIN`

### Constructor Summary

Constructors
`JMXRegistration​(Object bean, String type, String id)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `close()`
`static ObjectName` `nameOf​(String type, String id)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DOMAIN

    public static final String DOMAIN

See Also:
  Constant Field Values

### Constructor Detail

#### JMXRegistration

    public JMXRegistration​(Object bean,
                           String type,
                           String id)

### Method Detail

#### nameOf

    public static ObjectName nameOf​(String type,
                                    String id)
                             throws MalformedObjectNameException

Throws:
  `MalformedObjectNameException`

#### close

    public void close()
               throws IOException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Throws:
  `IOException`